This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 190962 - /etc/mtab needs to be a symlink to /proc/mounts
/etc/mtab needs to be a symlink to /proc/mounts
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-07 09:37 EDT by Russell Coker
Modified: 2015-03-04 20:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-09 04:14:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-05-07 09:37:24 EDT
Description of problem:
Use of the pam_namespace.so module can result in significant differences 
between the /etc/mtab file reports and the state of the name-space posessed by 
a user's session.  If the administrator mounts or umounts a file system after 
a user has logged in then /etc/mtab will be immediately updated but the actual 
mount list that applies to the user will not change.  This means that "df" 
will produce incorrect and misleading answers.

If /etc/mtab is made a symlink to /proc/mounts then the "df" command (and 
other programs that use /etc/mtab) will get the correct data that refers to 
the session in question.

Also please note that pam_namespace.so provides greater benefits to non-SE 
Linux users than it does to SE Linux users.
Comment 1 Florian La Roche 2007-03-09 04:14:14 EST
/etc/mtab and /proc/mounts don't contain identical data and different apps
work with them, so I don't think we can just merge them.

regards,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.